export enum ProjectStatusEnum {
  NORMAL = 0, // 正常
  TEST = 1, // 试用
  STOP = 2 // 停用
}

export enum ProjectStatusTextColorEnum {
  NORMAL = 'text-green-600', // 正常
  TEST = 'text-yellow-600', // 试用
  STOP = 'text-red-600' // 停用
}
export enum ProjectStatusBgColorEnum {
  NORMAL = 'bg-green-600', // 正常
  TEST = 'bg-yellow-600', // 试用
  STOP = 'bg-red-600' // 停用
}

export enum ProjectStatusTextEnum {
  NORMAL = '正常', // 正常
  TEST = '试用', // 试用
  STOP = '停用' // 停用
}

export const projectStatusTextColorMap: Map<ProjectStatusEnum, ProjectStatusTextColorEnum> = (() => {
  const map = new Map<ProjectStatusEnum, ProjectStatusTextColorEnum>()
  map.set(ProjectStatusEnum.NORMAL, ProjectStatusTextColorEnum.NORMAL)
  map.set(ProjectStatusEnum.TEST, ProjectStatusTextColorEnum.TEST)
  map.set(ProjectStatusEnum.STOP, ProjectStatusTextColorEnum.STOP)
  return map
})()
export const projectStatusBgColorMap: Map<ProjectStatusEnum, ProjectStatusBgColorEnum> = (() => {
  const map = new Map<ProjectStatusEnum, ProjectStatusBgColorEnum>()
  map.set(ProjectStatusEnum.NORMAL, ProjectStatusBgColorEnum.NORMAL)
  map.set(ProjectStatusEnum.TEST, ProjectStatusBgColorEnum.TEST)
  map.set(ProjectStatusEnum.STOP, ProjectStatusBgColorEnum.STOP)
  return map
})()

export const projectStatusTextMap: Map<ProjectStatusEnum, ProjectStatusTextEnum> = (() => {
  const map = new Map<ProjectStatusEnum, ProjectStatusTextEnum>()
  map.set(ProjectStatusEnum.NORMAL, ProjectStatusTextEnum.NORMAL)
  map.set(ProjectStatusEnum.TEST, ProjectStatusTextEnum.TEST)
  map.set(ProjectStatusEnum.STOP, ProjectStatusTextEnum.STOP)
  return map
})()
